﻿using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KB5171_SampleApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Workbookを生成し、UltraSpreadsheetに紐づける
            Workbook wb1 = new Workbook();
            ultraSpreadsheet1.Workbook = wb1;

            // Worksheetを追加する。
            Worksheet ws1 = (Worksheet)wb1.Sheets.Add("Sheet 1", SheetType.Worksheet);

            // Worksheet全体をロックする。
            ws1.Protect((bool?)null);

            // 特定の列のみ編集可とする。
            ws1.Rows[0].Cells[1].Value = "この列は編集可です";
            ws1.Columns[1].CellFormat.Locked = ExcelDefaultableBoolean.False;

            // 特定の行のみ編集可とする。
            ws1.Rows[2].Cells[0].Value = "この行は編集可です";
            ws1.Rows[2].CellFormat.Locked = ExcelDefaultableBoolean.False;

            // 特定のセルのみ編集可とする。
            ws1.Rows[0].Cells[0].Value = "このセルは編集可です";
            ws1.Rows[0].Cells[0].CellFormat.Locked = ExcelDefaultableBoolean.False;
        }
    }
}
